%define	name	bridge-utils
%define	version	1.1
%define	rel	1
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://bridge.sourceforge.net/bridge-utils/%{name}-%{version}.tar.bz2
Source1:	bridge.sysconfig
Source2:	bridge.init
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post,preun):	rpm-helper
Summary:	Utilities for configuring the linux ethernet bridge
Group:		Networking/Other
URL:		http://bridge.sourceforge.net/
BuildRequires:	kernel-headers

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%description -l	pl
Ten pakiet zawiera narzdzia przeznaczone do konfigurowania linuxowego
ethernet bridge (inteligentny switch). Linux ethernet bridge moe by
uyty do czenia kilku ethernetowych interfejsw sieciowych w jeden.
Poczenie jest w peni przeroczyste; hosty przyczone po jednej
stronie widz hosty z drugiej strony bezporednio.

%package	devel
Summary:	Libraries for the linux ethernet bridge programs
Summary(pl):	Biblioteki uywane do sterowania linuxowym bridge
Group:		Development/C

%description	devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%description	devel -l pl
Ten pakiet zawiera pliki nagwkowe i bibliotek konieczn do rozwoju
programw uywajcych 'libbridge' - interfejs do linuxowego ethernet
bridge.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/bridge
install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/bridge

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service bridge

%preun
%_preun_service bridge

%files
%defattr(-,root,root)
%doc README doc/{FAQ,FIREWALL,HOWTO,WISHLIST}
%doc %{_mandir}/man*/*
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/bridge
%config(noreplace) %{_initrddir}/bridge

%files devel
%defattr(-,root,root)
%doc %{_mandir}/man*/*
%{_libdir}/*.a
%{_includedir}/*.h

%changelog
* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 1.1-1mdk
- New release 1.1

* Thu Dec 15 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.6-2mdk
- rebuild for new libsysfs

* Thu Jun 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.6-1mdk
- 1.0.6
- drop P1
- fix requires

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4
- drop bidi (removed upstream)
- fix summary-ended-with-dot
- cosmetics

* Tue Jun 01 2004 Florin <florin@mandrakesoft.com> 0.9.7-2mdk
- add initscript and sysconf file

* Tue May 25 2004 Florin <florin@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- add the bidi file from the misc directory

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.6-2mdk
- rebuild
- drop unapplied P0

* Fri Jan 10 2003 Florin <florin@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6
- update the rootonly patch
- comment out the opt patch

* Mon Apr 29 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.5-1mdk
- Bump release.
- Only include documentation in one package, not both.

* Wed Oct 17 2001 dam's <damien@mandrakesoft.com> 0.9.3-1mdk
- first mandrake package inspired by the PLD one.
